#preloader {
    opacity: 0;
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.273); 
    backdrop-filter: blur(10px); 
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999; 
    transition: opacity 0.5s ease; 
}

.logo-animation {
    width: 150px;
    animation: fadeInScale 1.5s ease-in-out infinite alternate;
}

@keyframes fadeInScale {
    0% {
        opacity: 0.5;
        transform: scale(0.8);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}